Subject: Re: Storing state in $GIT_DIR

From: Martin Langhoff <[email-masked]>
Date: Fri, 26 Aug 2005 16:15:37 +1200

On 8/26/05, Linus Torvalds <[email-masked]> wrote:
> > OTOH, storing the metadata in a branch will allow us to run the import
> > in alternating repositories. But as Junio points out, unless I can
> > guarantee that the metadata and the tree are in sync, I cannot
> > trivially resume the import cycle from a new repo.
> 
> But you can.
> 
> Remember: the metadata is the pointers to the original git conversion, and
> objects are immutable.
> 
> In other words, if you just have a "last commit" pointer in your
> meta-data, then git is _by_definition_ in sync. There's never anything to
> get out of sync, because objects aren't going to change.

Hmmm. That repo is in sync, but there are no guarantees that they will
travel together to a different repo. In fact, the push/pull
infrastructure wants to push/pull one head at a time.

And if they are not in sync, I have no way of knowing. Hmpf. I lie:
the arch metadata could keep track of what it expects the last head
commits to be, and complain bitterly if something smells rotten.

let me think about it ;)

martin